package kr.co.hanwha.hifive.adapter.contract;

import java.util.ArrayList;

import kr.co.hanwha.hifive.base.BaseListContract;
import kr.co.hanwha.hifive.data.model.CampaignTreeData;
import kr.co.hanwha.hifive.data.model.TaskListData;

/**
 * Created by aaron on 2018. 9. 18.
 */

public interface SettingMyHomeOkrListContract extends BaseListContract {

    interface View {
        void notifyDataAll();

        void notifyDataRangeChanged(int positionStart, int itemCount);
    }

    interface Model {
        void addItems(ArrayList<CampaignTreeData> okrListData);
    }
}
